package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Eca;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface EcaMapper {

    int insert(Eca record);

    int insertSelective(Eca record);

    int updateByPrimaryKeySelective(Eca record);

    int updateByPrimaryKey(Eca record);

    int deleteByPrimaryKey(Eca record);

    int deleteByIds(Collection<Object> collection);

    Eca selectByPrimaryKey(Eca record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Eca> dyncRead(Map<String,Object> dyncMap);

    Eca selectByInr(@Param("inr") String inr);

    Eca selectByFincodAndSta(@Param("fincod") String fincod, @Param("sta") String sta);

    /**
     * 通过 eblinr  查询 ead 表
     * @param eblinr
     * @return
     */
    Eca selectByEblinr(@Param("eblinr") String eblinr);

    String selectBcaInrByFincod(String fincod);

    /**
     * 通过国内外汇贷款编号更新状态
     * @param dofoexlocode
     * @param sta
     * @return
     */
    int updateStaByRptno(@Param("dofoexlocode") String dofoexlocode,@Param("sta") String sta);

}